Bug 237320 - multimedia/lives: Fix build and packaging failure
Summary: multimedia/lives: Fix build and packaging failure
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-04-16 20:57 UTC by Hiroo Ono
Modified: 2019-09-14 21:18 UTC (History)
4 users (show)

See Also:


Attachments
patch to multimedia/lives (28.55 KB, patch)
2019-04-16 20:57 UTC, Hiroo Ono
no flags Details | Diff
patch to multimedia/lives (28.68 KB, patch)
2019-04-20 03:33 UTC, Hiroo Ono
no flags Details | Diff
Build lives without alsa, jack and pulse (4.09 KB, patch)
2019-09-09 00:40 UTC, VVD
no flags Details | Diff
Fix multimedia/vapoursynth for possibility to build lives (648 bytes, patch)
2019-09-09 00:43 UTC, VVD
jbeich: maintainer-approval-
Details | Diff
Added possibility to build lives without alsa, jack, pulse and projectM (options) (4.19 KB, patch)
2019-09-09 10:26 UTC, VVD
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroo Ono 2019-04-16 20:57:24 UTC
Created attachment 203725 [details]
patch to multimedia/lives

This is a patch to multimedia/lives addressing:

- fix error at make patch.
- fix some plist issue.
- adapt to graphics/opencv3 (bug #237135 status open)

Tested build and run on stable/12 amd64. Built on i386 also.
Note that, just to fix build problem, removing two patches in files/ may be sufficient.
Comment 1 Hiroo Ono 2019-04-20 03:33:21 UTC
Created attachment 203813 [details]
patch to multimedia/lives

Changed the patch just to compile with current ports (especially graphics/opencv).
Adaptation to opencv3-3.4.5 can be done after it is committed.
Comment 2 Rene Ladan freebsd_committer 2019-09-07 11:30:17 UTC
Take this PR, omitting the OpenCV update which never happened.
Comment 3 Rene Ladan freebsd_committer 2019-09-07 11:33:46 UTC
Are you willing to maintain this port?
Comment 4 Rene Ladan freebsd_committer 2019-09-08 21:32:43 UTC
Patch committed.
Comment 5 commit-hook freebsd_committer 2019-09-08 21:39:23 UTC
A commit references this bug:

Author: rene
Date: Sun Sep  8 21:39:11 UTC 2019
New revision: 511598
URL: https://svnweb.freebsd.org/changeset/ports/511598

Log:
  multimedia/lives: fix build and some pkg-plist issues

  PR:		237320
  Submitted by:	Hiroo Ono
  MFH:		2019Q3

Changes:
  head/multimedia/lives/Makefile
  head/multimedia/lives/files/patch-Makefile.am
  head/multimedia/lives/files/patch-configure
  head/multimedia/lives/files/patch-configure.ac
  head/multimedia/lives/files/patch-ffmpeg4
  head/multimedia/lives/files/patch-lives-plugins_weed-plugins_Makefile.am
  head/multimedia/lives/files/patch-lives-plugins_weed-plugins_gdk_Makefile.am
  head/multimedia/lives/pkg-plist
Comment 6 VVD 2019-09-09 00:40:11 UTC
Created attachment 207303 [details]
Build lives without alsa, jack and pulse
Comment 7 VVD 2019-09-09 00:43:34 UTC
Created attachment 207305 [details]
Fix multimedia/vapoursynth for possibility to build lives
Comment 8 VVD 2019-09-09 10:26:23 UTC
Created attachment 207319 [details]
Added possibility to build lives without alsa, jack, pulse and projectM (options)
Comment 9 commit-hook freebsd_committer 2019-09-10 06:34:36 UTC
A commit references this bug:

Author: rene
Date: Tue Sep 10 06:33:48 UTC 2019
New revision: 511739
URL: https://svnweb.freebsd.org/changeset/ports/511739

Log:
  MFH: r511598 r511599

  multimedia/lives: fix build and some pkg-plist issues

  PR:		237320
  Submitted by:	Hiroo Ono

  multimedia/lives: set missing SVN keywords.

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/multimedia/lives/Makefile
  branches/2019Q3/multimedia/lives/files/patch-Makefile.am
  branches/2019Q3/multimedia/lives/files/patch-configure
  branches/2019Q3/multimedia/lives/files/patch-configure.ac
  branches/2019Q3/multimedia/lives/files/patch-ffmpeg4
  branches/2019Q3/multimedia/lives/files/patch-lives-plugins_weed-plugins_Makefile.am
  branches/2019Q3/multimedia/lives/files/patch-lives-plugins_weed-plugins_gdk_Makefile.am
  branches/2019Q3/multimedia/lives/pkg-plist
Comment 10 Rene Ladan freebsd_committer 2019-09-13 10:27:09 UTC
(In reply to commit-hook from comment #9)
Somehow the MFH was wrong, so it has been reverted in r511858
Comment 11 Rene Ladan freebsd_committer 2019-09-13 11:26:43 UTC
(In reply to VVD from comment #7)
How is this related to this port? Anyway, something for jbeich to look at.
Comment 12 Jan Beich freebsd_committer 2019-09-13 11:38:28 UTC
Comment on attachment 207305 [details]
Fix multimedia/vapoursynth for possibility to build lives

What's the error message? VapourSynth does not support Python 2. See bug 233723 if you build a consumer outside of poudriere.
Comment 13 VVD 2019-09-13 11:50:14 UTC
(In reply to Jan Beich from comment #12)
Something like: incorrect/unknown version of python 3.3.

Just build it with python 3.7 and without python 2.7 installed - no errors (VSSCRIPT on).

Old version of the port require python:3.3+ in general and python:3.3- for VSSCRIPT.
Comment 14 Hiroo Ono 2019-09-13 12:20:39 UTC
(In reply to Rene Ladan from comment #3)
No. I made the patch because it depends on opencv as was broken.
Thank you for comitting.
Comment 15 commit-hook freebsd_committer 2019-09-14 16:48:26 UTC
A commit references this bug:

Author: rene
Date: Sat Sep 14 16:47:25 UTC 2019
New revision: 512036
URL: https://svnweb.freebsd.org/changeset/ports/512036

Log:
  multimedia/lives: make ALSA, Jack, PulseAudio and ProjectM optional.

  PR:		237320
  Submitted by:	vvd

Changes:
  head/multimedia/lives/Makefile
  head/multimedia/lives/files/patch-configure.ac
  head/multimedia/lives/pkg-plist
Comment 16 Rene Ladan freebsd_committer 2019-09-14 16:48:41 UTC
Patch #3 committed.

Moving this PR to jbeich for patch #2
Comment 17 commit-hook freebsd_committer 2019-09-14 20:30:47 UTC
A commit references this bug:

Author: jbeich
Date: Sat Sep 14 20:30:42 UTC 2019
New revision: 512054
URL: https://svnweb.freebsd.org/changeset/ports/512054

Log:
  multimedia/vapoursynth: unbreak PYTHON=off VSSCRIPT=on

  ===>  vapoursynth-R47.2 uses unknown USES=python arguments: 3.3-.

  PR:		237320
  Reported by:	VVD <vvd@unislabs.com>

Changes:
  head/multimedia/vapoursynth/Makefile
Comment 18 VVD 2019-09-14 21:18:05 UTC
Thanks.